1. Are you ready for the Galaxy S20? Here is everything we know so far!

I'm having problem upgrading my react native app to 64 bit

Discussion in 'Android Lounge' started by dex2908, Jul 19, 2019.

  1. dex2908

    dex2908 Lurker
    Thread Starter

    I'm having problem upgrading my app to 64 bit. I've already upgraded my previous React Native version to 0.59.3. Which is includes 64 bit but when I tried to run in my device, the app crashed.

    The error i got is:
    java.lang.UnsatisfiedLinkError: couldn't find DSO to load: libimagepipeline.so caused by: dlopen failed: "/data/data/...../lib-main/libimagepipeline.so" is 64-bit instead of 32-bit

    So from the error, it means android doesn't know how to choose the correct bit? The only solution to prevent the crash, is to use the following configuration:

    packagingOptions {
    exclude "lib/arm64-v8a/libgnustl_shared.so"
    exclude '/lib/mips64/**'
    exclude '/lib/arm64-v8a/**'
    exclude '/lib/x86_64/**'
    }

    Which of course will get warning message from google because there are no 64bit codes in my apk. So how can I solve this problem?
     

    Advertisement

  2. Feriel

    Feriel Lurker

    Add :
    ndk {
    abiFilters "armeabi", "armeabi-v7a", "x86", "x86_64", "mips", "mips64"


    }
    in android {} to your build.gradle/APP file
     
Loading...
Similar Threads - I'm having problem
  1. Tejana Mama84
    Replies:
    2
    Views:
    119
  2. dontpanicbobby
    Replies:
    3
    Views:
    176
  3. Cyberdev
    Replies:
    2
    Views:
    677
  4. 1vryfrustratedwoman
    Replies:
    4
    Views:
    286
  5. LOveWerks
    Replies:
    12
    Views:
    795
  6. Guitarist
    Replies:
    6
    Views:
    565
  7. Sunlich
    Replies:
    5
    Views:
    1,424
  8. Budrow187
    Replies:
    4
    Views:
    475
  9. lajby95
    Replies:
    3
    Views:
    519
  10. joaquim1
    Replies:
    6
    Views:
    235

Share This Page

Loading...